/* /Components/Layout/LayoutPreview.razor.rz.scp.css */
.layout-preview[b-mc25sfl7i0] {
    font-size: 9px;
    border-radius: 4px;
    padding: 4px;
    cursor: pointer;
    border: 2px solid #c0c4cc;
    transition: border .3s linear;
}

    .layout-preview:hover[b-mc25sfl7i0] {
        border: 2px solid #28a745;
    }

    .layout-preview.active[b-mc25sfl7i0] {
        border: 2px solid #28a745;
    }

[b-mc25sfl7i0] .layout {
    --bb-layout-height: 80px;
    --bb-layout-header-height: 16px;
    --bb-layout-footer-height: 12px;
    --bb-layout-sidebar-width: 30%;
    --bb-layout-banner-font-size: 9px;
    --bb-layout-title-color: #fff;
    border: 1px solid var(--bb-layout-header-background);
}

    [b-mc25sfl7i0] .layout .layout-footer,
    [b-mc25sfl7i0] .layout .layout-header {
        justify-content: center;
    }

    [b-mc25sfl7i0] .layout .layout-menu {
        display: flex;
        align-items: center;
        justify-content: center;
    }
/* /Components/Layout/MainLayout.razor.rz.scp.css */
.layout-drawer[b-l30dgi32dp] {
    margin-inline-start: .5rem;
    height: 100%;
    display: flex;
    align-items: center;
    cursor: pointer;
}

.layout-drawer-body[b-l30dgi32dp]  .groupbox {
    margin-top: 1rem;
}

.layout-drawer-body[b-l30dgi32dp]  .btn-info {
    --bs-info: #0078d4;
    --bs-btn-hover-bg: #1260b0;
    margin-bottom: 1rem;
}

#blazor-error-ui[b-l30dgi32dp] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-l30dgi32dp] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Pages/Account/Login.razor.rz.scp.css */
/* /Components/Pages/Duobao/DuobaoFreightPages.razor.rz.scp.css */
/* CSS for ExpressDelivery component */
.page-user[b-avqq4ml7ac] {
    height: calc(100vh - 2rem - var(--bb-layout-footer-height) - var(--bb-layout-header-height) - var(--bb-tabs-item-height, 0));
    display: flex;
    flex-direction: column;
}

.user-demo-address[b-avqq4ml7ac] {
    margin-top: .25rem;
    font-size: 86%;
    color: #c0c4cc;
}

[b-avqq4ml7ac] .table-users {
    flex: 1;
    height: 1%;
    min-height: 0;
}

[b-avqq4ml7ac] .table-cell img {
    width: 46px;
    border-radius: var(--bs-border-radius);
}

[b-avqq4ml7ac] .table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}
/* /Components/Pages/Puma/PumaPriceListPages.razor.rz.scp.css */
.page-user[b-uw0v1p7iv2] {
    height: calc(100vh - 2rem - var(--bb-layout-footer-height) - var(--bb-layout-header-height) - var(--bb-tabs-item-height, 0));
    display: flex;
    flex-direction: column;
}

.user-demo-address[b-uw0v1p7iv2] {
    margin-top: .25rem;
    font-size: 86%;
    color: #c0c4cc;
}

[b-uw0v1p7iv2] .table-users {
    flex: 1;
    height: 1%;
    min-height: 0;
}

[b-uw0v1p7iv2] .table-cell img {
    width: 46px;
    border-radius: var(--bs-border-radius);
}

[b-uw0v1p7iv2] .table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}
/* /Components/Pages/Puma/PumaStockPages.razor.rz.scp.css */
/* CSS for ExpressDelivery component */
.page-user[b-d3c127hizq] {
    height: calc(100vh - 2rem - var(--bb-layout-footer-height) - var(--bb-layout-header-height) - var(--bb-tabs-item-height, 0));
    display: flex;
    flex-direction: column;
}

.user-demo-address[b-d3c127hizq] {
    margin-top: .25rem;
    font-size: 86%;
    color: #c0c4cc;
}

[b-d3c127hizq] .table-users {
    flex: 1;
    height: 1%;
    min-height: 0;
}

[b-d3c127hizq] .table-cell img {
    width: 46px;
    border-radius: var(--bs-border-radius);
}

[b-d3c127hizq] .table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}
/* /Components/Pages/Puma/PumaStockSummaryPages.razor.rz.scp.css */
/* CSS for ExpressDelivery component */
.page-user[b-vnwzb58kyo] {
    height: calc(100vh - 2rem - var(--bb-layout-footer-height) - var(--bb-layout-header-height) - var(--bb-tabs-item-height, 0));
    display: flex;
    flex-direction: column;
}

.user-demo-address[b-vnwzb58kyo] {
    margin-top: .25rem;
    font-size: 86%;
/*    color: #c0c4cc;*/
}

[b-vnwzb58kyo] .table-users {
    flex: 1;
    height: 1%;
    min-height: 0;
}

[b-vnwzb58kyo] .table-cell img {
    width: 180px;
    border-radius: var(--bs-border-radius);
}

[b-vnwzb58kyo] .table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}
/* /Components/Pages/Puma/PumaStorePages.razor.rz.scp.css */
.page-user[b-6ekf8xumj2] {
    height: calc(100vh - 2rem - var(--bb-layout-footer-height) - var(--bb-layout-header-height) - var(--bb-tabs-item-height, 0));
    display: flex;
    flex-direction: column;
}

.user-demo-address[b-6ekf8xumj2] {
    margin-top: .25rem;
    font-size: 86%;
    color: #c0c4cc;
}

[b-6ekf8xumj2] .table-users {
    flex: 1;
    height: 1%;
    min-height: 0;
}

[b-6ekf8xumj2] .table-cell img {
    width: 46px;
    border-radius: var(--bs-border-radius);
}

[b-6ekf8xumj2] .table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}
/* /Components/Pages/Sys/ExpressDelivery.razor.rz.scp.css */
/* CSS for ExpressDelivery component */
.page-user[b-v518kceisu] {
    height: calc(100vh - 2rem - var(--bb-layout-footer-height) - var(--bb-layout-header-height) - var(--bb-tabs-item-height, 0));
    display: flex;
    flex-direction: column;
}

.user-demo-address[b-v518kceisu] {
    margin-top: .25rem;
    font-size: 86%;
    color: #c0c4cc;
}

[b-v518kceisu] .table-users {
    flex: 1;
    height: 1%;
    min-height: 0;
}

[b-v518kceisu] .table-cell img {
    width: 46px;
    border-radius: var(--bs-border-radius);
}

[b-v518kceisu] .table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}
/* /Components/Pages/Tianma/TianmaFreightPages.razor.rz.scp.css */
/* CSS for ExpressDelivery component */
.page-user[b-qluez4ijin] {
    height: calc(100vh - 2rem - var(--bb-layout-footer-height) - var(--bb-layout-header-height) - var(--bb-tabs-item-height, 0));
    display: flex;
    flex-direction: column;
}

.user-demo-address[b-qluez4ijin] {
    margin-top: .25rem;
    font-size: 86%;
    color: #c0c4cc;
}

[b-qluez4ijin] .table-users {
    flex: 1;
    height: 1%;
    min-height: 0;
}

[b-qluez4ijin] .table-cell img {
    width: 46px;
    border-radius: var(--bs-border-radius);
}

[b-qluez4ijin] .table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}
/* /Components/Pages/Tianma/TianmaOrderAllocationPages.razor.rz.scp.css */
.page-user[b-ute3tjf58j] {
    height: calc(100vh - 2rem - var(--bb-layout-footer-height) - var(--bb-layout-header-height) - var(--bb-tabs-item-height, 0));
    display: flex;
    flex-direction: column;
}
/* 新增：无货、已取消 置灰样式，和上面格式保持一致 */
[b-ute3tjf58j] .row-gray-disabled {
    --bs-table-striped-bg: #f2f3f5;
    --bs-table-bg: #f2f3f5;
    --bs-table-hover-bg: #e9ebf0;
    --bs-table-striped-color: #909399;
    --bs-table-color-state: #909399;
    --bs-table-hover-color: #909399;
}

[b-ute3tjf58j] .row-highlight {
    --bs-table-striped-bg: #409eff;
    --bs-table-bg: #409eff;
    --bs-table-hover-bg: #409eff;
    --bs-table-striped-color: #fff;
    --bs-table-color-state: #fff;
    --bs-table-hover-color: #fff;
}
[b-ute3tjf58j] .table-users {
    flex: 1;
    height: 1%;
    min-height: 0;
}

[b-ute3tjf58j] .table-cell img {
    width: 46px;
    border-radius: var(--bs-border-radius);
}

[b-ute3tjf58j] .table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}




/* 行高 + 垂直居中 */
/*::deep .table-users .table tbody td {
    padding: 4px 6px !important;
    vertical-align: middle !important;
}

::deep .table-users .table thead th {
    padding: 5px 6px !important;
    vertical-align: middle !important;
}*/

/* 修复ellipsis绝对定位 */
/*::deep .table-users .table-cell.is-ellips.is-resizable {
    position: static !important;
    text-align: center;
}*/
/* 放到页面的 <style> 里 */
/* /Components/Pages/Tianma/TianmaWarehousePages.razor.rz.scp.css */
/* CSS for ExpressDelivery component */
.page-user[b-kmbsyo2gzt] {
    height: calc(100vh - 2rem - var(--bb-layout-footer-height) - var(--bb-layout-header-height) - var(--bb-tabs-item-height, 0));
    display: flex;
    flex-direction: column;
}

.user-demo-address[b-kmbsyo2gzt] {
    margin-top: .25rem;
    font-size: 86%;
    color: #c0c4cc;
}

[b-kmbsyo2gzt] .table-users {
    flex: 1;
    height: 1%;
    min-height: 0;
}

[b-kmbsyo2gzt] .table-cell img {
    width: 46px;
    border-radius: var(--bs-border-radius);
}

[b-kmbsyo2gzt] .table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}
/* /Components/Pages/Tianma/TmaSalesWareDayInnerPages.razor.rz.scp.css */
/* CSS for ExpressDelivery component */
.page-user[b-2m9mfogbmm] {
    height: calc(100vh - 2rem - var(--bb-layout-footer-height) - var(--bb-layout-header-height) - var(--bb-tabs-item-height, 0));
    display: flex;
    flex-direction: column;
}

.user-demo-address[b-2m9mfogbmm] {
    margin-top: .25rem;
    font-size: 86%;
    color: #c0c4cc;
}

[b-2m9mfogbmm] .table-users {
    flex: 1;
    height: 1%;
    min-height: 0;
}

[b-2m9mfogbmm] .table-cell img {
    width: 46px;
    border-radius: var(--bs-border-radius);
}

[b-2m9mfogbmm] .table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}
/* /Components/Pages/Users.razor.rz.scp.css */
.page-user[b-769hmrd29b] {
    height: calc(100vh - 2rem - var(--bb-layout-footer-height) - var(--bb-layout-header-height) - var(--bb-tabs-item-height, 0));
    display: flex;
    flex-direction: column;
}

.user-demo-address[b-769hmrd29b] {
    margin-top: .25rem;
    font-size: 86%;
    color: #c0c4cc;
}

[b-769hmrd29b] .table-users {
    flex: 1;
    height: 1%;
    min-height: 0;
}

[b-769hmrd29b] .table-cell img {
    width: 46px;
    border-radius: var(--bs-border-radius);
}

[b-769hmrd29b] .table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}
/* /Components/Shared/SearchPanel/OrderSearchComponent.razor.rz.scp.css */
/* CSS for OrderSearchComponent component */
@media (min‑width: 992px) {
    .col‑lg‑five[b-7zg6iiu60a] {
        flex: 0 0 20%;
        max‑width: 20%;
    }
}
